<!DOCTYPE html>
<html>
    
	<?php require_once('head' . cfg('template', 'template_extension')); ?>
    
	<body class="skin-black">
        
		<?php require_once('header' . cfg('template', 'template_extension')); ?>
		
        <div class="wrapper row-offcanvas row-offcanvas-left">
            <!-- Left side column. contains the logo and sidebar -->
            <aside class="left-side sidebar-offcanvas">
                
			    <?php require_once('sidebar' . cfg('template', 'template_extension')); ?>	
				
            </aside>

            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Edit page
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="index.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Pages</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        
                        <div class="col-md-12">
                            
							<?php if ($error->hasErrors()): ?>
							 <div class="alert alert-danger alert-dismissable">
								<i class="fa fa-ban"></i>
								<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
								<span>
								<strong>An error occurred while processing request</strong>
								</span>
								<?php foreach ($error->displayErrors() as $value): ?>		
								<p><?php echo $value; ?></p>
								<?php endforeach; ?>
							 </div>
							 <?php $error->clearErrors(); endif; ?>
							<?php if ($session->get('success') && isset($_POST['submit'])): ?>
							 <div class="alert alert-success alert-dismissable">
								<i class="fa fa-check"></i>
								<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
								Partner edited successfully! 
							 </div>
							 <?php endif; ?>
							
							<!-- form start -->
                            <form role="form" action="" method="post" enctype="multipart/form-data">
                                 
								<div class="box box-primary">
									<div class="box-header">
                                        <!--<h3 class="box-title">Quick Example</h3>-->
                                    </div><!-- /.box-header -->
									<div class="box-body">
										
										<!-- Custom Tabs (Pulled to the right) -->
										<div class="nav-tabs-custom">
											<ul class="nav nav-tabs pull-right">
												<?php foreach ($languages as $row): ?>
												<li <?php if($row['language_code']==cfg('language', 'site_language')) echo 'class="active"'; ?>><a href="#<?php echo $row['language_code']; ?>" data-toggle="tab"><?php echo $row['language_code']; ?></a></li>
												<?php endforeach; ?>
												<li class="pull-left header"><i class="fa fa-flag"></i> Language</li>
											</ul>
											<div class="tab-content">
												<?php foreach ($languages as $row): ?>
												<div class="tab-pane <?php if($row['language_code']==cfg('language', 'site_language')) echo 'active'; ?>" id="<?php echo $row['language_code']; ?>">
													<fieldset class="default-fieldset">
							                            <legend><i class="fa fa-tags" data-toggle="tooltip" title="Meta tags are pieces of HTML code which are finded by some search engines, but for the most visitors aren't visible. With their help, you can control how search engines indexing your site."></i> Meta Data</legend>
												        <input type="hidden" class="form-control" name=language_code" value="<?php echo $row['language_code']; ?>">
														<div class="form-group col-md-12 no-padding">
															<label class="control-label col-md-2">Title</label>
															<div class="col-md-10 no-padding">
																<input type="text" class="form-control" name="page_title<?php echo '_'.$row['language_code']; ?>" value="<?php echo page($row['language_code'],'page_title'); ?>">
															    <span class="help-block">Recommended length is under 70 characters.</span>
															</div>
														</div>
														<div class="form-group col-md-12 no-padding">
															<label class="control-label col-md-2">Meta keywords</label>
															<div class="col-md-10 no-padding">
																<input id="tags_<?php echo $row['language_code']; ?>" type="text" class="form-control tags" type="text" class="tags" name="page_meta_keywords<?php echo '_'.$row['language_code']; ?>" value="<?php echo page($row['language_code'],'page_meta_keywords'); ?>">
															    <span class="help-block">5 to 10 words that best describe the site/page separated by commas.</span>
															</div>
														</div>
														<div class="form-group col-md-12 no-padding">
															<label class="control-label col-md-2">Meta Description</label>
															<div class="col-md-10 no-padding">
																<textarea class="form-control" rows="3" name="page_meta_description<?php echo '_'.$row['language_code']; ?>"><?php echo page($row['language_code'],'page_meta_description'); ?></textarea>
														        <span class="help-block">In this paragraph is described the site/page. Recommended length is between 120-150 characters.</span>
														    </div>
														</div>
														</fieldset>
														<fieldset class="default-fieldset">
														<legend><i class="fa fa-file"></i> Content Data</legend>
															<div class="form-group col-md-12 no-padding">
																<label class="control-label col-md-2">Content</label>
																<div class="col-md-10 no-padding">
																	<textarea class="form-control ckeditor" name="page_content<?php echo '_'.$row['language_code']; ?>"><?php echo page($row['language_code'],'page_content');?></textarea>
																</div>
															</div>
													    </fieldset>
												</div><!-- /.tab-pane -->
												<?php endforeach; ?>
											</div><!-- /.tab-content -->
										</div><!-- nav-tabs-custom -->
										<!-- END CUSTOM TABS -->
									
									</div><!-- /.box-body -->  
									<div class="box-footer">
										<div class="form-group col-md-12 no-padding">
											<label class="control-label col-md-2"></label>
											<div class="col-md-10 no-padding">
												<button type="submit" name="submit" class="btn btn-primary">Submit</button>
											</div>
										</div>
									</div><!-- /.box-footer -->                                                                        
							    
								<div class="clearfix"></div>
								
								</div><!-- /.box -->
                            </form><!-- /.form -->
							
                        </div><!--/.col -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
        
    <?php require_once('footer' . cfg('template', 'template_extension')); ?>
	<!-- CK Editor -->
	<script src="<?php echo cfg('template', 'site_url'); ?>templates/admin/assets/js/plugins/ckeditor/ckeditor.js" type="text/javascript"></script>
	<!-- Bootstrap WYSIHTML5 -->
	<script src="<?php echo cfg('template', 'site_url'); ?>templates/admin/assets/js/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js" type="text/javascript"></script>
	<?php foreach ($languages as $row): ?>
	<script type="text/javascript">
		$(function() {
			// Replace the <textarea id="editor1"> with a CKEditor
			// instance, using default configuration.
			CKEDITOR.replace('page_content<?php echo '_'.$row['language_code']; ?>', {
			
			 filebrowserBrowseUrl: '<?php echo cfg('template', 'site_url'); ?>templates/admin/assets/plugins/kcfinder/browse.php?opener=ckeditor&type=files',
			 filebrowserImageBrowseUrl: '<?php echo cfg('template', 'site_url'); ?>templates/admin/assets/plugins/kcfinder/browse.php?opener=ckeditor&type=images',
			 filebrowserFlashBrowseUrl: '<?php echo cfg('template', 'site_url'); ?>templates/admin/assets/plugins/kcfinder/browse.php?opener=ckeditor&type=flash',
			 filebrowserUploadUrl: '<?php echo cfg('template', 'site_url'); ?>templates/admin/assets/plugins/kcfinder/upload.php?opener=ckeditor&type=files',
			 filebrowserImageUploadUrl: '<?php echo cfg('template', 'site_url'); ?>templates/admin/assets/plugins/kcfinder/upload.php?opener=ckeditor&type=images',
			 filebrowserFlashUploadUrl: '<?php echo cfg('template', 'site_url'); ?>templates/admin/assets/plugins/kcfinder/upload.php?opener=ckeditor&type=flash'
	
			});
			CKEDITOR.add
		});
	</script>
	<?php endforeach; ?>
	<!-- Tags Input -->
	<script src="<?php echo cfg('template', 'site_url');?>templates/admin/assets/plugins/jquery-tags-input/jquery.tagsinput.min.js" type="text/javascript"></script>
	<?php foreach ($languages as $row): ?>
	<script>
            $(function() {
                $('#tags_<?php echo $row['language_code']; ?>').tagsInput({width: 'auto'});
            });
    </script>
	<?php endforeach; ?>
    </body>
</html>
